<!DOCTYPE html>
<html <?php language_attributes(); ?>>
    <head>        
        <meta charset="<?php bloginfo('charset'); ?>" />        
        <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
        <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />  		
        <?php wp_head(); ?>
    </head>
    <body <?php body_class(); ?>>
		<?php wp_body_open(); ?>
        
		<div class="site-wrapper">       

            <div class="doc-loader"></div>       

            <!-- Left Part Sidebar -->
            <div class="menu-left-part">
                <?php if (get_option('ocularus_menu_background_img') != ''): ?>
                    <img class="menu-background-image" src="<?php echo esc_url(get_option('ocularus_menu_background_img')); ?>" alt="<?php echo esc_attr(get_bloginfo('name')); ?>" />
                <?php endif; ?>

                <?php
                if (get_theme_mod('ocularus_show_search') === 'yes') {
                    $menu_search = '<ul id="%1$s" class="%2$s">%3$s</ul>' . get_search_form(false);
                } else {
                    $menu_search = '<ul id="%1$s" class="%2$s">%3$s</ul>';
                }

                if (has_nav_menu("custom_menu")) {
                    wp_nav_menu(
                            array(
                                "container" => "nav",
                                "container_class" => "big-menu",
                                "container_id" => "header-main-menu",
                                "fallback_cb" => false,
                                "menu_class" => "main-menu sm sm-clean",
                                "theme_location" => "custom_menu",
                                "items_wrap" => $menu_search,
                                "walker" => new ocularus_header_menu()
                            )
                    );
                } else {
                    echo '<nav id="header-main-menu" class="big-menu default-menu"><ul>';
                    wp_list_pages(array("depth" => "3", 'title_li' => ''));
                    echo '</ul>';
                    if (get_theme_mod('ocularus_show_search') === 'yes') {
                        get_search_form();
                    }
                    echo '</nav>';
                }
                ?>       

                <?php get_sidebar(); ?>
            </div>

            <!-- Right Part Sidebar -->
            <div class="menu-right-part">      
                <div class="toggle-holder">
                    <div id="toggle">
                        <div class="menu-line"></div>
                    </div>
                </div>                        
            </div> 

            <!-- Page Content Holder -->
            <div id="content" class="site-content">
                <div class="content-left">
                    <div class="content-left-holder">
                        <div class="welcome-content">
                            <?php if (get_option('ocularus_welcome_background_img') != ''): ?>
                                <img class="welcome-image" src="<?php echo esc_url(get_option('ocularus_welcome_background_img')); ?>" alt="<?php echo esc_attr(get_bloginfo('name')); ?>" />
                            <?php endif; ?>
                            <?php if (get_option('ocularus_header_logo') !== ''): ?>
                                <div class="site-logo">
                                    <a href="<?php echo esc_url(home_url('/')); ?>">
                                        <img src="<?php echo esc_url(get_option('ocularus_header_logo', get_template_directory_uri() . '/images/logo.png')); ?>" alt="<?php echo esc_attr(get_bloginfo('name')); ?>" />
                                    </a>
                                </div>
                            <?php endif; ?>
                            <?php
                            $allowed_html_array = ocularus_allowed_html();
                            if (get_theme_mod('ocularus_site_description') != ''):
                                echo '<div class="site-description">';
                                echo wp_kses(__(get_theme_mod('ocularus_site_description') ? get_theme_mod('ocularus_site_description') : 'Welcome Text', 'ocularus-wp'), $allowed_html_array);
                                echo '</div>';
                            endif;
                            ?>
                        </div>
                    </div>
                </div>