<?php get_header(); ?>

<div class="content-right">
    <div class="content-right-holder">
        <div class="blog-holder">
            <?php
            if (have_posts()) :
                while (have_posts()) : the_post();
                    $ext = 'custom';
                    if (has_post_thumbnail($post->ID)):
                        $ext = pathinfo(get_the_post_thumbnail_url(), PATHINFO_EXTENSION);
                    endif;
                    ?>

                    <article id="post-<?php the_ID(); ?>" <?php post_class('blog-item-holder '.$ext); ?> >
                        <?php if (has_post_thumbnail($post->ID)): ?>        
                            <div class="post-thumbnail">
                                <a href="<?php the_permalink($post->ID); ?>"><?php echo get_the_post_thumbnail(); ?></a>
                            </div>
                            <?php
                        elseif (get_post_meta($post->ID, "post_custom_header", true) != ''): $allowed_html_array = ocularus_allowed_html();
                            ?>
                            <div class="post-thumbnail custom-header">
                                <?php echo do_shortcode(wp_kses(get_post_meta($post->ID, "post_custom_header", true), $allowed_html_array)); ?>
                            </div>
                        <?php endif; ?>

                        <div class="item-text">
                            <div class="item-info">
                                <div class="item-info-left">
                                    <ul>
                                        <li class="item-info-title"><?php echo esc_html__('Date', 'ocularus-wp'); ?></li>
                                        <li class="item-info-text"><?php echo get_the_date('F j, Y'); ?></li>
                                    </ul>
                                    <ul>
                                        <li class="item-info-title"><?php echo esc_html__('In', 'ocularus-wp'); ?></li>
                                        <li class="item-info-text">
                                            <ul class="cat-links">
                                                <?php
                                                foreach ((get_the_category()) as $category) {
                                                    echo '<li><a href="' . get_category_link($category->term_id) . '">' . $category->name . '</a></li>';
                                                }
                                                ?>
                                            </ul>
                                        </li>
                                    </ul>
                                </div>
                                <div class="item-info-right">
                                    <ul>
                                        <li class="item-info-title"><?php echo esc_html__('Author', 'ocularus-wp'); ?></li>
                                        <li class="item-info-text"><?php the_author_posts_link(); ?></li>
                                    </ul>
                                    <?php if (comments_open()) : ?>    
                                        <ul>                                        
                                            <li class="item-info-title"><?php echo esc_html__('Response', 'ocularus-wp'); ?></li>
                                            <li class="item-info-text"><a href="<?php comments_link(); ?>"><?php comments_number('No Comments', '1 Comment', '% Comments'); ?></a></li>                                        
                                        </ul>
                                    <?php endif; ?>
                                </div>
                            </div>
                            <h2 class="entry-title">
                                <a href="<?php the_permalink($post->ID); ?>"><?php the_title(); ?></a>
                            </h2>                             
                            <div class="excerpt">
                                <?php the_excerpt(); ?>
                            </div>
                            <a href="<?php the_permalink($post->ID); ?>" class="read-more">
                                <?php echo esc_html__('Read More', 'ocularus-wp'); ?>
                            </a>
                        </div>                       
                    </article>   

                    <?php
                endwhile;
            endif;
            ?>    
            <?php
            the_posts_pagination();
            ?>
        </div>
    </div>
</div>
<div class="clear"></div>
</div> 
<!-- End Page Content Holder -->

<?php get_footer(); ?>