(function ($) {
    "use strict";
    var position = $(window).scrollTop();

    $('.single-post .num-comments a').on('click', function (e) {
        e.preventDefault();
        $('html, body').animate({scrollTop: $(this.hash).offset().top}, 1000);
        return false;
    });

    $(window).on('scroll', function () {
        animateLogoBackground();
    });

    $(".site-content").fitVids();

    //Placeholder show/hide
    $('input, textarea').on('focus', function () {
        $(this).data('placeholder', $(this).attr('placeholder'));
        $(this).attr('placeholder', '');
    });
    $('input, textarea').on('blur', function () {
        $(this).attr('placeholder', $(this).data('placeholder'));
    });

    fixPullquoteClass();

    //Fix for default menu
    $(".default-menu ul:first").addClass('sm sm-clean main-menu');



    $(window).on('load', function () {

//Set menu
        $('.main-menu').smartmenus({
            subMenusSubOffsetX: 1,
            subMenusSubOffsetY: -8,
            markCurrentItem: true
        });

        var $mainMenu = $('.main-menu').on('click', 'span.sub-arrow', function (e) {
            var obj = $mainMenu.data('smartmenus');
            if (obj.isCollapsible()) {
                var $item = $(this).parent(),
                        $sub = $item.parent().dataSM('sub');
                $sub.dataSM('arrowClicked', true);
            }
        }).bind({
            'beforeshow.smapi': function (e, menu) {
                var obj = $mainMenu.data('smartmenus');
                if (obj.isCollapsible()) {
                    var $menu = $(menu);
                    if (!$menu.dataSM('arrowClicked')) {
                        return false;
                    }
                    $menu.removeDataSM('arrowClicked');
                }
            }
        });

//Fix for blog item info
        $(".blog-item-holder.has-post-thumbnail").not('.gif').each(function () {
            $(this).find(".item-text").css("margin-top", 0 - $(this).find(".item-info").outerHeight());
        });

//Show-Hide header sidebar
        $('#toggle').on("click", multiClickFunctionStop);

        $('.doc-loader').fadeOut();
    });


    $(window).on('resize', function () {
        //Fix for blog item info
        $(".blog-item-holder.has-post-thumbnail").not('.gif').each(function () {
            $(this).find(".item-text").css("margin-top", 0 - $(this).find(".item-info").outerHeight());
        });

    });



//------------------------------------------------------------------------
//Helper Methods -->
//------------------------------------------------------------------------

    function animateLogoBackground(e) {
        var scroll = $(window).scrollTop();
        if (scroll > position) {
            $('.welcome-image').css('top', '-=0.6');
        } else {
            $('.welcome-image').css('top', '+=0.6');
        }
        position = scroll;
    }

    function multiClickFunctionStop(e) {
        e.preventDefault();
        $('#toggle').off("click");
        $('#toggle').toggleClass("on");

        $('html, body, .sidebar, .menu-left-part, .menu-right-part, .site-content').toggleClass("open").delay(500).queue(function (next) {
            $(this).toggleClass("done");
            next();
        });
        $('#toggle').on("click", multiClickFunctionStop);
    }

    function fixPullquoteClass() {
        $("figure.wp-block-pullquote").find('blockquote').first().addClass('cocobasic-block-pullquote');
    }

    function is_touch_device() {
        return !!('ontouchstart' in window);
    }

})(jQuery);