<?php
/*
  Template Name: Portfolio page
 */
?>

<?php get_header(); ?>

<div class="content-right">
    <?php if (post_type_exists('portfolio')): ?>
        <div class="portfolio-wrapper">
            <div class="category-filter">
                <div class="category-filter-icon"></div>                       
            </div>
            <div class="category-filter-list button-group filters-button-group">
                <div class="button is-checked" data-filter="*"><?php echo esc_html__('All', 'ocularus-wp'); ?></div>
                <?php echo drop_cats_filter(); ?>
            </div>
            <?php
            $args = array('post_type' => 'portfolio', 'posts_per_page' => '-1');
            $loop = new WP_Query($args);
            if ($loop->have_posts()) :
                $allowed_html_array = ocularus_allowed_html();
                $portfolio_content = '';
                echo '<div class="grid" id="portfolio"><div class="grid-sizer"></div>';
                while ($loop->have_posts()) : $loop->the_post();
                    if (has_post_thumbnail($post->ID)) {
                        $portfolio_post_thumb = get_the_post_thumbnail();
                    } else {
                        $portfolio_post_thumb = '<img src = "' . get_template_directory_uri() . '/images/no-photo.png" alt = "" />';
                    }

                    $p_size = get_post_meta($post->ID, "portfolio_thumb_image_size", true);
                    $p_thumb_text = get_post_meta($post->ID, "portfolio_hover_thumb_text", true);


                    $link_thumb_to = get_post_meta($post->ID, "portfolio_link_item_to", true);

                    switch ($link_thumb_to):
                        case 'link_to_image_url':
                            $image_popup = get_post_meta($post->ID, "portfolio_image_popup", true);
                            $portfolio_content.= '<div class="grid-item element-item ' . $p_size . ' ' . drop_cats_slug($post->ID) . '"><a href="' . $image_popup . '" data-rel="prettyPhoto[gallery1]">' . $portfolio_post_thumb . '<div class="portfolio-text-holder"><p class="portfolio-text">' . $p_thumb_text . '</p><p class="portfolio-cat">' . drop_cats_name($post->ID) . '</p></div></a></div>';
                            break;
                        case 'link_to_video_url':
                            $video_popup = get_post_meta($post->ID, "portfolio_video_popup", true);
                            $portfolio_content.= '<div class="grid-item element-item ' . $p_size . ' ' . drop_cats_slug($post->ID) . '"><a href="' . $video_popup . '" data-rel="prettyPhoto[gallery1]">' . $portfolio_post_thumb . '<div class="portfolio-text-holder"><p class="portfolio-text">' . $p_thumb_text . '</p><p class="portfolio-cat">' . drop_cats_name($post->ID) . '</p></div></a></div>';
                            break;
                        case 'link_to_extern_url':
                            $extern_site_url = get_post_meta($post->ID, "portfolio_extern_site_url", true);
                            $portfolio_content.= '<div class="grid-item element-item ' . $p_size . ' ' . drop_cats_slug($post->ID) . '"><a href="' . $extern_site_url . '" target="_blank">' . $portfolio_post_thumb . '<div class="portfolio-text-holder"><p class="portfolio-text">' . $p_thumb_text . '</p><p class="portfolio-cat">' . drop_cats_name($post->ID) . '</p></div></a></div>';
                            break;

                        default:
                            $portfolio_content.= '<div class="grid-item element-item ' . $p_size . ' ' . drop_cats_slug($post->ID) . '"><a href="' . get_permalink() . '">' . $portfolio_post_thumb . '<div class="portfolio-text-holder"><p class="portfolio-text">' . $p_thumb_text . '</p><p class="portfolio-cat">' . drop_cats_name($post->ID) . '</p></div></a></div>';
                    endswitch;
                endwhile;

                echo wp_kses($portfolio_content, $allowed_html_array);

                echo '</div>';
            endif;
            echo '<div class="clear"></div>';
            ?>   
        </div>
    <?php else: ?>
        <div class="content-right-holder">
            <?php
            if (have_posts()) :
                while (have_posts()) : the_post();

                    if (get_post_meta($post->ID, "page_show_title", true) !== 'no'):
                        if (get_post_meta($post->ID, "page_custom_title", true) != '') :
                            echo '<h1 class="entry-title">' . esc_html(get_post_meta($post->ID, "page_custom_title", true)) . '</h1>';
                        else:
                            the_title('<h1 class="entry-title">', '</h1>');
                        endif;
                    endif;

                    the_content();
                    comments_template();
                endwhile;
            endif;
            ?>    

        </div>
    <?php endif; ?>
</div>
<div class="clear"></div>
</div>
<!-- End Page Content Holder -->
<?php get_footer(); ?>