<?php
get_header();
$count_posts = wp_count_posts();
$published_posts = $count_posts->publish;
?>

<div class="content-right">  
    <div class="content-right-holder">
        <?php
        if (have_posts()) :
            while (have_posts()) : the_post();
                ?>		

                <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                    <?php if (has_post_thumbnail($post->ID)) : ?>        
                        <div class="post-thumbnail">
                            <a href="<?php the_permalink($post->ID); ?>"><?php echo get_the_post_thumbnail(); ?></a>
                        </div>
                        <?php
                    elseif (get_post_meta($post->ID, "post_custom_header", true) != ''): $allowed_html_array = ocularus_allowed_html();
                        ?>
                        <div class="post-thumbnail custom-header">
                            <?php echo do_shortcode(wp_kses(get_post_meta($post->ID, "post_custom_header", true), $allowed_html_array)); ?>
                        </div>
                    <?php endif; ?>
                    <div class="post-info">
                        <div class="post-num">
                            <span class="current-post"><?php echo esc_html(ocularus_get_post_number($post->ID)); ?></span>
                            <span class="separator">/</span>
                            <span class="total-posts"><?php echo esc_html($published_posts); ?></span>
                        </div>
                        <div class="item-info">
                            <div class="item-info-left">
                                <ul>
                                    <li class="item-info-title"><?php echo esc_html__('Date', 'ocularus-wp'); ?></li>
                                    <li class="item-info-text"><?php echo get_the_date('F j, Y'); ?></li>
                                </ul>
                                <ul>
                                    <li class="item-info-title"><?php echo esc_html__('In', 'ocularus-wp'); ?></li>
                                    <li class="item-info-text">
                                        <ul class="cat-links">
                                            <?php
                                            foreach ((get_the_category()) as $category) {
                                                echo '<li><a href="' . get_category_link($category->term_id) . '">' . $category->name . '</a></li>';
                                            }
                                            ?>
                                        </ul>
                                    </li>
                                </ul>
                            </div>
                            <div class="item-info-right">
                                <ul>
                                    <li class="item-info-title"><?php echo esc_html__('Author', 'ocularus-wp'); ?></li>
                                    <li class="item-info-text"><?php the_author_posts_link(); ?></li>
                                </ul>
                                <?php if (comments_open()) : ?>    
                                    <ul>                                        
                                        <li class="item-info-title"><?php echo esc_html__('Response', 'ocularus-wp'); ?></li>
                                        <li class="item-info-text num-comments"><a href="<?php comments_link(); ?>"><?php comments_number('No Comments', '1 Comment', '% Comments'); ?></a></li>                                        
                                    </ul>
                                <?php endif; ?>
                            </div>
                        </div>
                        <div class="single-nav">
                            <?php
                            $prev_post = get_previous_post();
                            if (is_a($prev_post, 'WP_Post')):
                                ?>
                                <div class="nav-previous">                        
                                    <?php previous_post_link('%link', '<img src="' . esc_url(get_template_directory_uri()) . '/images/arrow_left@2x.png" alt="' . esc_attr__('Previous', 'ocularus-wp') . '" />'); ?>                                                                                        
                                </div>
                            <?php endif; ?>
                            <?php
                            $next_post = get_next_post();
                            if (is_a($next_post, 'WP_Post')):
                                ?>                
                                <div class="nav-next">                        
                                    <?php next_post_link('%link', '<img src="' . esc_url(get_template_directory_uri()) . '/images/arrow_right@2x.png" alt="' . esc_attr__('Next', 'ocularus-wp') . '" />'); ?>                                            
                                </div>
                            <?php endif; ?>
                            <div class="clear"></div>
                        </div>
                    </div>


                    <div class="entry-holder">                        
                        <h1 class="entry-title"><?php the_title(); ?></h1>
                        <div class="entry-content">
                            <?php
                            the_content();

                            $defaults = array(
                                'before' => '<p class="wp-link-pages top-50"><span>' . esc_html__('Pages:', 'ocularus-wp') . '</span>',
                                'after' => '</p>'
                            );
                            wp_link_pages($defaults);

                            if (has_tag()):
                                ?>	
                                <div class="tags-holder">
                                    <?php the_tags('', ''); ?>
                                </div>                              
                                <?php
                            endif;
                            ?>
                        </div>
                    </div>                   
                    <div class="clear"></div>
                </article>
                <?php
                comments_template();
            endwhile;
        endif;
        ?>    
    </div>                      
</div>
<div class="clear"></div>
</div> 
<!-- End Page Content Holder -->

<?php get_footer(); ?>